cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ORC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ORC

- All Implemented Interfaces:
    ISegment

      public class ORC
      extends Segment

  ORC - Common Order Segment.

  This segment is used to transmit fields that are common to all orders(all types of services that are requested). The ORC segment is required in the Order (ORM) message. ORC is mandatory in Order Acknowledgment (ORR) messages if an order detail segment is present, but is not required otherwise.

  Represents an HL7 ORC message segment. This segment has the following fields:

  ORC-1: Order Control (ID)Required
  ORC-2: Placer Order Number (EI)Conditional
  ORC-3: Filler Order Number (EI)Conditional
  ORC-4: Placer Group Number (EIP)Conditional
  ORC-5: Order Status (ID)Optional
  ORC-6: Response Flag (ID)Optional
  ORC-7: Quantity/Timing (TQ)Withdrawn
  ORC-8: Parent Order (EIP)Optional
  ORC-9: Date/Time of Transaction (DTM)Optional
  ORC-10: Entered By (XCN)Optional
  ORC-11: Verified By (XCN)Optional
  ORC-12: Ordering Provider (XCN)Optional
  ORC-13: Enterer's Location (PL)Optional
  ORC-14: Call Back Phone Number (XTN)Optional
  ORC-15: Order Effective Date/Time (DTM)Optional
  ORC-16: Order Control Code Reason (CWE)Optional
  ORC-17: Entering Organization (CWE)Optional
  ORC-18: Entering Device (CWE)Optional
  ORC-19: Action By (XCN)Optional
  ORC-20: Advanced Beneficiary Notice Code (CWE)Optional
  ORC-21: Ordering Facility Name (XON)Optional
  ORC-22: Ordering Facility Address (XAD)Optional
  ORC-23: Ordering Facility Phone Number (XTN)Optional
  ORC-24: Ordering Provider Address (XAD)Optional
  ORC-25: Order Status Modifier (CWE)Optional
  ORC-26: Advanced Beneficiary Notice Override Reason (CWE)Conditional
  ORC-27: Filler's Expected Availability Date/Time (DTM)Optional
  ORC-28: Confidentiality Code (CWE)Optional
  ORC-29: Order Type (CWE)Optional
  ORC-30: Enterer Authorization Mode (CNE)Optional
  ORC-31: Parent Universal Service Identifier(CWE)Backward
  ORC-32: Advanced Beneficiary Notice Date(DT)Optional
  ORC-33: Alternate Placer Order Number (CX)Optional
  ORC-34: Order Workflow Profile (CwE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ORC()` Constructs the ORC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Action By.
    `void` | `addActionBy(XCN objactionBy)` Add the Action By.
    `void` | `addAlternatePlacerOrderNumber(CX objAlternatePlacerOrderNumber)` Set the Alternate Placer Order Number.
    `void` | `addCallBackPhNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Call Back PhNo.
    `void` | `addCallBackPhNo(XTN objcallBackPhNo)` Add the Call Back PhNo.
    `void` | `addEnteredBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Entered By,.
    `void` | `addEnteredBy(XCN objenteredBy)` Add the Entered By,.
    `void` | `addOrderingFacilityAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Ordering Facility Address.
    `void` | `addOrderingFacilityAddress(XAD objorderingFacilityAddress)` Add the Ordering Facility Address.
    `void` | `addOrderingFacilityName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Add the Ordering Facility Name.
    `void` | `addOrderingFacilityName(XON objorderingFacilityName)` Add the Ordering Facility Name.
    `void` | `addOrderingFacilityPhNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Ordering Facility PhNo.
    `void` | `addOrderingFacilityPhNo(XTN objorderingFacilityPhNo)` Add the Ordering Facility PhNo.
    `void` | `addOrderingProvider(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Ordering Provider.
    `void` | `addOrderingProvider(XCN objorderingProvider)` Add the Ordering Provider.
    `void` | `addOrderingProviderAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Ordering Provider Address.
    `void` | `addOrderingProviderAddress(XAD objorderingProviderAddress)` Add the Ordering Provider Address.
    `void` | `addOrderWorkflowProfile(CWE objOrderWorkflowProfile)` add Order Workflow Profile.
    `void` | `addOrderWorkflowProfile(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Order Workflow Profile.
    `void` | `addVerifiedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Verified By.
    `void` | `addVerifiedBy(XCN objverifiedBy)` Add the Verified By.
    `ISingleCollection<XCN>` | `getActionBy()` Retrieves the Action By.
    `CWE` | `getAdvancedBeneficiaryNoticeCode()` Retrieves the Advanced Beneficiary Notice Code.
    `DT` | `getAdvancedBeneficiaryNoticeDate()` Retrieves the Advanced Beneficiary Notice Date.
    `CWE` | `getAdvancedBeneficiaryNoticeOverrideReason()` Retrieves the Advanced Beneficiary Notice Override Reason.
    `ISingleCollection<CX>` | `getAlternatePlacerOrderNumber()` Retrieves Alternate Placer Order Number.
    `ISingleCollection<XTN>` | `getCallBackPhNo()` Retrieves the Call Back PhNo.
    `CWE` | `getConfidentialityCode()` Retrieves the Confidentiality Code.
    `DTM` | `getDateTimeOfTransaction()` Retrieves the Date Time Of Transaction.
    `ISingleCollection<XCN>` | `getEnteredBy()` Retrieves the Entered By,.
    `CNE` | `getEntererAuthorizationMode()` Retrieves the Enterer Authorization Mode.
    `PL` | `getEntererLocation()` Retrieves the Enterer Location.
    `CWE` | `getEnteringDevice()` Retrieves the Entering Device.
    `CWE` | `getEnteringOrganization()` Retrieves the Entering Organization.
    `EI` | `getFillerOrderNumber()` Retrieves the Filler Order Number.
    `DTM` | `getFillersExpectedAvailabilityDateTime()` Retrieves the Fillers Expected Availability Date Time.
    `ID` | `getOrderControl()` Retrieves the Order Control.
    `CWE` | `getOrderControlCodeReason()` Retrieves the Order Control Code Reason.
    `DTM` | `getOrderEffectiveDateTime()` Retrieves the Order Effective Date Time.
    `ISingleCollection<XAD>` | `getOrderingFacilityAddress()` Retrieves the Ordering Facility Address.
    `ISingleCollection<XON>` | `getOrderingFacilityName()` Retrieves the Ordering Facility Name.
    `ISingleCollection<XTN>` | `getOrderingFacilityPhNo()` Retrieves the Ordering Facility PhNo.
    `ISingleCollection<XCN>` | `getOrderingProvider()` Retrieves the Ordering Provider.
    `ISingleCollection<XAD>` | `getOrderingProviderAddress()` Retrieves the Ordering Provider Address.
    `ID` | `getOrderStatus()` Retrieves the Order Status.
    `CWE` | `getOrderStatusModifier()` Retrieves the Order Status Modifier.
    `CWE` | `getOrderType()` Retrieves the Order Type.
    `ISingleCollection<CWE>` | `getOrderWorkflowProfile()` Retrieves the Order Workflow Profile.
    `EIP` | `getParent()` Retrieves the Parent.
    `CWE` | `getParentUniversalServiceIdentifier()` Retrieves Parent Universal Service Identifier.
    `EIP` | `getPlacerGroupNumber()` Retrieves the Placer Group Number.
    `EI` | `getPlacerOrderNumber()` Retrieves the Placer Order Number.
    `ID` | `getResponseFlag()` Retrieves the Response Flag.
    `ISingleCollection<XCN>` | `getVerifiedBy()` Retrieves the Verified By.
    `void` | `setActionBy(ISingleCollection<XCN> objactionByList)` Set the Action By.
    `void` | `setAdvancedBeneficiaryNoticeCode(CWE objadvancedBeneficiaryNoticeCode)` Set the Advanced Beneficiary Notice Code.
    `void` | `setAdvancedBeneficiaryNoticeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Advanced Beneficiary Notice Code.
    `void` | `setAdvancedBeneficiaryNoticeDate(DT objAdvancedBeneficiaryNoticeDate)` Set the Advanced Beneficiary Notice Date.
    `void` | `setAdvancedBeneficiaryNoticeDate(java.lang.String strTransferToBadDebtDate)` Set the Advanced Beneficiary Notice Date.
    `void` | `setAdvancedBeneficiaryNoticeOverrideReason(CWE objadvancedBeneficiaryNoticeOverrideReason)` Set the Advanced Beneficiary Notice Override Reason.
    `void` | `setAdvancedBeneficiaryNoticeOverrideReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Advanced Beneficiary Notice Override Reason.
    `void` | `setAlternatePlacerOrderNumber(ISingleCollection<CX> objAlternatePlacerOrderNumber)` Set the Alternate Placer Order Number.
    `void` | `setAlternatePlacerOrderNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Alternate Placer Order Number.
    `void` | `setCallBackPhNo(ISingleCollection<XTN> objcallBackPhNoList)` Set the Call Back PhNo.
    `void` | `setConfidentialityCode(CWE objconfidentialityCode)` Set the Confidentiality Code.
    `void` | `setConfidentialityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Confidentiality Code.
    `void` | `setDateTimeOfTransaction(DTM objdateTimeOfTransaction)` Set the Date Time Of Transaction.
    `void` | `setDateTimeOfTransaction(java.lang.String strTime)` Set the Date Time Of Transaction.
    `void` | `setEnteredBy(ISingleCollection<XCN> objenteredByList)` Set the Entered By,.
    `void` | `setEntererAuthorizationMode(CNE objentererAuthorizationMode)` Set the Enterer Authorization Mode.
    `void` | `setEntererAuthorizationMode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Enterer Authorization Mode.
    `void` | `setEntererLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Enterer Location.
    `void` | `setEntererLocation(PL objentererLocation)` Set the Enterer Location.
    `void` | `setEnteringDevice(CWE objenteringDevice)` Set the Entering Device.
    `void` | `setEnteringDevice(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Entering Device.
    `void` | `setEnteringOrganization(CWE objenteringOrganization)` Set the Entering Organization.
    `void` | `setEnteringOrganization(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Entering Organization.
    `void` | `setFillerOrderNumber(EI objfillerOrderNumber)` Set the Filler Order Number.
    `void` | `setFillerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Filler Order Number.
    `void` | `setFillersExpectedAvailabilityDateTime(DTM objfillersExpectedAvailabilityDateTime)` Set the Fillers Expected Availability Date Time.
    `void` | `setFillersExpectedAvailabilityDateTime(java.lang.String strTime)` Set the Fillers Expected Availability Date Time.
    `void` | `setOrderControl(ID objorderControl)` Set the Order Control.
    `void` | `setOrderControl(java.lang.String strOrderControl)` Set the Order Control.
    `void` | `setOrderControlCodeReason(CWE objorderControlCodeReason)` Set the Order Control Code Reason.
    `void` | `setOrderControlCodeReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Order Control Code Reason.
    `void` | `setOrderEffectiveDateTime(DTM objorderEffectiveDateTime)` Set the Order Effective Date Time.
    `void` | `setOrderEffectiveDateTime(java.lang.String strTime)` Set the Order Effective Date Time.
    `void` | `setOrderingFacilityAddress(ISingleCollection<XAD> objorderingFacilityAddressList)` Set the Ordering Facility Address.
    `void` | `setOrderingFacilityName(ISingleCollection<XON> objorderingFacilityNameList)` Set the Ordering Facility Name.
    `void` | `setOrderingFacilityPhNo(ISingleCollection<XTN> objorderingFacilityPhNoList)` Set the Ordering Facility PhNo.
    `void` | `setOrderingProvider(ISingleCollection<XCN> objorderingProviderList)` Set the Ordering Provider.
    `void` | `setOrderingProviderAddress(ISingleCollection<XAD> objorderingProviderAddressList)` Set the Ordering Provider Address.
    `void` | `setOrderStatus(ID objorderStatus)` Set the Order Status.
    `void` | `setOrderStatus(java.lang.String strOrderStatus)` Set the Order Status.
    `void` | `setOrderStatusModifier(CWE objorderStatusModifier)` Set the Order Status Modifier.
    `void` | `setOrderStatusModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Order Status Modifier.
    `void` | `setOrderType(CWE objorderType)` Set the Order Type.
    `void` | `setOrderType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Order Type.
    `void` | `setOrderWorkflowProfile(ISingleCollection<CWE> objOrderWorkflowProfile)` Set Order Workflow Profile.
    `void` | `setParent(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Set the Parent.
    `void` | `setParent(EIP objparent)` Set the Parent.
    `void` | `setParentUniversalServiceIdentifier(CWE objorderType)` Set the Parent Universal Service Identifier.
    `void` | `setParentUniversalServiceIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Parent Universal Service Identifier.
    `void` | `setPlacerGroupNumber(EI objFillerAssignedIdentifier, EI objPlacerAssignedIdentifier)` Set the Placer Group Number.
    `void` | `setPlacerGroupNumber(EIP objplacerGroupNumber)` Set the Placer Group Number.
    `void` | `setPlacerOrderNumber(EI objplacerOrderNumber)` Set the Placer Order Number.
    `void` | `setPlacerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Placer Order Number.
    `void` | `setResponseFlag(ID objresponseFlag)` Set the Response Flag.
    `void` | `setResponseFlag(java.lang.String strResponseFlag)` Set the Response Flag.
    `void` | `setTransferToBadDebtDate(DT objtransferToBadDebtDate)` Set the Advanced Beneficiary Notice Date.
    `void` | `setVerifiedBy(ISingleCollection<XCN> objverifiedByList)` Set the Verified By.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ORC

          public ORC()

      Constructs the ORC segment.

  - ### Method Detail

    - #### getActionBy

          public ISingleCollection<XCN> getActionBy()

      Retrieves the Action By. This field contains the identity of the person who initiated the event represented by the corresponding order control code.
      Returns:
        ISingleCollection - actionBy

    - #### getAdvancedBeneficiaryNoticeCode

          public CWE getAdvancedBeneficiaryNoticeCode()

      Retrieves the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Returns:
        CWE - advancedBeneficiaryNoticeCode

    - #### getAdvancedBeneficiaryNoticeOverrideReason

          public CWE getAdvancedBeneficiaryNoticeOverrideReason()

      Retrieves the Advanced Beneficiary Notice Override Reason. This field contains the reason why the patient did not sign an Advanced Beneficiary Notice.
      Returns:
        CWE - advancedBeneficiaryNoticeOverrideReason

    - #### getCallBackPhNo

          public ISingleCollection<XTN> getCallBackPhNo()

      Retrieves the Call Back PhNo. This field contains the telephone number to call for clarification of a request or other information regarding the order.
      Returns:
        ISingleCollection - callBackPhNo

    - #### getConfidentialityCode

          public CWE getConfidentialityCode()

      Retrieves the Confidentiality Code. This field contains information about the level of security and/or sensitivity surrounding the order (e.g., highly sensitive, not sensitive, sensitive, etc.).
      Returns:
        CWE - confidentialityCode

    - #### getDateTimeOfTransaction

          public DTM getDateTimeOfTransaction()

      Retrieves the Date Time Of Transaction. This field contains the date and time of the event that initiated the current transaction as reflected in ORC-1 Order Control Code.
      Returns:
        DTM - dateTimeOfTransaction

    - #### getEnteredBy

          public ISingleCollection<XCN> getEnteredBy()

      Retrieves the Entered By,. This field contains the identity of the person who actually keyed the request into the application.
      Returns:
        ISingleCollection - enteredBy

    - #### getEntererAuthorizationMode

          public CNE getEntererAuthorizationMode()

      Retrieves the Enterer Authorization Mode. This field indicates the form of authorization a recorder has from the responsible practitioner to create or change an order.
      Returns:
        CNE - entererAuthorizationMode

    - #### getEntererLocation

          public PL getEntererLocation()

      Retrieves the Enterer Location.
      Returns:
        PL - entererLocation

    - #### getEnteringDevice

          public CWE getEnteringDevice()

      Retrieves the Entering Device. This field identify the physical device (terminal, PC) used to enter the order.
      Returns:
        CWE - enteringDevice

    - #### getEnteringOrganization

          public CWE getEnteringOrganization()

      Retrieves the Entering Organization. This field identify the organization that the enterer belonged to at the time he/she enters/maintains the order, such as medical group or department.
      Returns:
        CWE - enteringOrganization

    - #### getFillerOrderNumber

          public EI getFillerOrderNumber()

      Retrieves the Filler Order Number. This field is the order number associated with the filling application.
      Returns:
        EI - fillerOrderNumber

    - #### getFillersExpectedAvailabilityDateTime

          public DTM getFillersExpectedAvailabilityDateTime()

      Retrieves the Fillers Expected Availability Date Time. This field specify the date/time of the filler expects the services to be available.
      Returns:
        DTM - fillersExpectedAvailabilityDateTime

    - #### getOrderControl

          public ID getOrderControl()

      Retrieves the Order Control. This field considered as "trigger event" identifier for orders.
      Returns:
        ID - orderControl

    - #### getOrderControlCodeReason

          public CWE getOrderControlCodeReason()

      Retrieves the Order Control Code Reason. This field contains the explanation (either in coded or text form) of the reason for the order event described by the order control code.
      Returns:
        CWE - orderControlCodeReason

    - #### getOrderEffectiveDateTime

          public DTM getOrderEffectiveDateTime()

      Retrieves the Order Effective Date Time. This field contains the date/time that the changes to the request took effect or are supposed to take effect.
      Returns:
        DTM - orderEffectiveDateTime

    - #### getOrderingFacilityAddress

          public ISingleCollection<XAD> getOrderingFacilityAddress()

      Retrieves the Ordering Facility Address. This field contains the address of the facility placing the order.
      Returns:
        ISingleCollection - orderingFacilityAddress

    - #### getOrderingFacilityName

          public ISingleCollection<XON> getOrderingFacilityName()

      Retrieves the Ordering Facility Name. This field contains the name of the facility placing the order.
      Returns:
        ISingleCollection - orderingFacilityName

    - #### getOrderingFacilityPhNo

          public ISingleCollection<XTN> getOrderingFacilityPhNo()

      Retrieves the Ordering Facility PhNo. This field contains the telephone number of the facility placing the order.
      Returns:
        ISingleCollection - orderingFacilityPhNo

    - #### getOrderingProvider

          public ISingleCollection<XCN> getOrderingProvider()

      Retrieves the Ordering Provider. This field contains the identity of the person who is responsible for creating the request (i.e., ordering physician).
      Returns:
        ISingleCollection - orderingProvider

    - #### getOrderingProviderAddress

          public ISingleCollection<XAD> getOrderingProviderAddress()

      Retrieves the Ordering Provider Address. This field contains the address of the care provider requesting the order.
      Returns:
        ISingleCollection - orderingProviderAddress

    - #### getOrderStatus

          public ID getOrderStatus()

      Retrieves the Order Status.
      Returns:
        ID - orderStatus

    - #### getOrderStatusModifier

          public CWE getOrderStatusModifier()

      Retrieves the Order Status Modifier. This field specify the modifier or refiner of the ORC-5-Order status field.
      Returns:
        CWE - orderStatusModifier

    - #### getOrderType

          public CWE getOrderType()

      Retrieves the Order Type. This field indicates whether the order is to be executed in an impatient setting or an outpatient setting.
      Returns:
        CWE - orderType

    - #### getParent

          public EIP getParent()

      Retrieves the Parent. This field relates a child to its parent when a parent child relationship exists.
      Returns:
        EIP - parent

    - #### getPlacerGroupNumber

          public EIP getPlacerGroupNumber()

      Retrieves the Placer Group Number. This field allows an order placing application to group sets of orders together and subsequently identify them.
      Returns:
        EIP - placerGroupNumber

    - #### getPlacerOrderNumber

          public EI getPlacerOrderNumber()

      Retrieves the Placer Order Number. This field is the placer application's order number.
      Returns:
        EI - placerOrderNumber

    - #### getResponseFlag

          public ID getResponseFlag()

      Retrieves the Response Flag. This field allows the placer (sending) application to determine the amount of information to be returned from the filler.
      Returns:
        ID - responseFlag

    - #### getParentUniversalServiceIdentifier

          public CWE getParentUniversalServiceIdentifier()

      Retrieves Parent Universal Service Identifier. This field contains the identifier code for the parent order which caused this reflex observation/test/battery to be performed.
      Returns:
        CWE - Parent Universal Service Identifier

    - #### getAdvancedBeneficiaryNoticeDate

          public DT getAdvancedBeneficiaryNoticeDate()

      Retrieves the Advanced Beneficiary Notice Date. This field contains the date the patient gave consent to pay for potentially uninsured services or the date that the Advanced Beneficiary Notice Code (ORC-20) was collected.
      Returns:
        String - Advanced Beneficiary Notice Date

    - #### getOrderWorkflowProfile

          public ISingleCollection<CWE> getOrderWorkflowProfile()

      Retrieves the Order Workflow Profile. The Order Workflow Profile references/represents the information necessary to define the workflow variant when that is not fully described through the use of ORC-1 Order Control and MSH-21 Message Profile. This enables contributing systems to apply locally agreed to rules.
      Returns:
        ISingleCollection - Order Workflow Profile

    - #### getAlternatePlacerOrderNumber

          public ISingleCollection<CX> getAlternatePlacerOrderNumber()

      Retrieves Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Returns:
        CX - Alternate Placer Order Number

    - #### getVerifiedBy

          public ISingleCollection<XCN> getVerifiedBy()

      Retrieves the Verified By. This field contains the identity of the person who verified the accuracy of the entered request.
      Returns:
        ISingleCollection - verifiedBy

    - #### setOrderControl

          public void setOrderControl(java.lang.String strOrderControl)

      Set the Order Control. This field considered as "trigger event" identifier for orders.
      Parameters:
        `strOrderControl` - Determines the function of the order segment.Refer to HL7 Table 0119 - Order Control Codes And Their Meaning for valid entries

    - #### setOrderControl

          public void setOrderControl(ID objorderControl)

      Set the Order Control. This field considered as "trigger event" identifier for orders.
      Parameters:
        `objorderControl` - Object of Order Control.

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Placer Order Number. This field is the placer application's order number.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(EI objplacerOrderNumber)

      Set the Placer Order Number. This field is the placer application's order number.
      Parameters:
        `objplacerOrderNumber` - Object of Placer Order Number.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Filler Order Number. This field is the order number associated with the filling application.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(EI objfillerOrderNumber)

      Set the Filler Order Number. This field is the order number associated with the filling application.
      Parameters:
        `objfillerOrderNumber` - Object of Filler Order Number.

    - #### setPlacerGroupNumber

          public void setPlacerGroupNumber(EI objFillerAssignedIdentifier,
                                  EI objPlacerAssignedIdentifier)

      Set the Placer Group Number. This field allows an order placing application to group sets of orders together and subsequently identify them.
      Parameters:
        `objFillerAssignedIdentifier` - Entity Identifier object representing Filler Assigned Identifier
        `objPlacerAssignedIdentifier` - Entity Identifier object representing Placer Assigned Identifier

    - #### setPlacerGroupNumber

          public void setPlacerGroupNumber(EIP objplacerGroupNumber)

      Set the Placer Group Number. This field allows an order placing application to group sets of orders together and subsequently identify them.
      Parameters:
        `objplacerGroupNumber` - Object of Placer Group Number.

    - #### setOrderStatus

          public void setOrderStatus(java.lang.String strOrderStatus)

      Set the Order Status.
      Parameters:
        `strOrderStatus` - This field specifies the status of an order. Refer to HL7 Table 0038 - Order status for valid entries.

    - #### setOrderStatus

          public void setOrderStatus(ID objorderStatus)

      Set the Order Status.
      Parameters:
        `objorderStatus` - Object of Order Status.

    - #### setResponseFlag

          public void setResponseFlag(java.lang.String strResponseFlag)

      Set the Response Flag. This field allows the placer (sending) application to determine the amount of information to be returned from the filler.
      Parameters:
        `strResponseFlag` - This field specifies the status of an order. Refer to HL7 Table 0038 - Order status for valid entries.

    - #### setResponseFlag

          public void setResponseFlag(ID objresponseFlag)

      Set the Response Flag. This field allows the placer (sending) application to determine the amount of information to be returned from the filler.
      Parameters:
        `objresponseFlag` - Object of Response Flag.

    - #### setParent

          public void setParent(EI objPlacerAssignedIdentifier,
                       EI objFillerAssignedIdentifier)

      Set the Parent. This field relates a child to its parent when a parent child relationship exists.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - An identifier assigned to an entity by the filler system.

    - #### setParent

          public void setParent(EIP objparent)

      Set the Parent. This field relates a child to its parent when a parent child relationship exists.
      Parameters:
        `objparent` - Object of Parent.

    - #### setDateTimeOfTransaction

          public void setDateTimeOfTransaction(java.lang.String strTime)

      Set the Date Time Of Transaction. This field contains the date and time of the event that initiated the current transaction as reflected in ORC-1 Order Control Code.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeOfTransaction

          public void setDateTimeOfTransaction(DTM objdateTimeOfTransaction)

      Set the Date Time Of Transaction. This field contains the date and time of the event that initiated the current transaction as reflected in ORC-1 Order Control Code.
      Parameters:
        `objdateTimeOfTransaction` - Object of Date Time Of Transaction.

    - #### setAdvancedBeneficiaryNoticeDate

          public void setAdvancedBeneficiaryNoticeDate(java.lang.String strTransferToBadDebtDate)

      Set the Advanced Beneficiary Notice Date. This field contains the date the patient gave consent to pay for potentially uninsured services or the date that the Advanced Beneficiary Notice Code (ORC-20) was collected.
      Parameters:
        `strTransferToBadDebtDate` - Use as TransferToBadDebtDate.

    - #### setAdvancedBeneficiaryNoticeDate

          public void setAdvancedBeneficiaryNoticeDate(DT objAdvancedBeneficiaryNoticeDate)

      Set the Advanced Beneficiary Notice Date. This field contains the date the patient gave consent to pay for potentially uninsured services or the date that the Advanced Beneficiary Notice Code (ORC-20) was collected.
      Parameters:
        `strTransferToBadDebtDate` - Use as TransferToBadDebtDate.

    - #### setTransferToBadDebtDate

          public void setTransferToBadDebtDate(DT objtransferToBadDebtDate)

      Set the Advanced Beneficiary Notice Date. This field contains the date the patient gave consent to pay for potentially uninsured services or the date that the Advanced Beneficiary Notice Code (ORC-20) was collected.
      Parameters:
        `objtransferToBadDebtDate` - object of TransferToBadDebtDate.

    - #### addEnteredBy

          public void addEnteredBy(java.lang.String strIDNumber,
                          FN objFamilyName,
                          java.lang.String strGivenName,
                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                          java.lang.String strSuffix,
                          java.lang.String strPrefix,
                          CWE objSourceTable,
                          HD objAssigningAuthority,
                          java.lang.String strNameTypeCode,
                          java.lang.String strIdentifierCheckDigit,
                          java.lang.String strCheckDigitScheme,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          CWE objNameContext,
                          java.lang.String strNameAssemblyOrder,
                          java.lang.String strEffectiveDate,
                          java.lang.String strExpirationDate,
                          java.lang.String strProfessionalSuffix,
                          CWE objAssigningJurisdiction,
                          CWE objAssigningAgencyOrDepratment,
                          java.lang.String strSecurityCheck,
                          java.lang.String strSecurityCheckScheme)

      Add the Entered By,. This field contains the identity of the person who actually keyed the request into the application.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addEnteredBy

          public void addEnteredBy(XCN objenteredBy)

      Add the Entered By,. This field contains the identity of the person who actually keyed the request into the application.
      Parameters:
        `objenteredBy` - Object of Entered By.

    - #### setEnteredBy

          public void setEnteredBy(ISingleCollection<XCN> objenteredByList)

      Set the Entered By,. This field contains the identity of the person who actually keyed the request into the application.
      Parameters:
        `objenteredByList` - List of Entered By.

    - #### addVerifiedBy

          public void addVerifiedBy(java.lang.String strIDNumber,
                           FN objFamilyName,
                           java.lang.String strGivenName,
                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                           java.lang.String strSuffix,
                           java.lang.String strPrefix,
                           CWE objSourceTable,
                           HD objAssigningAuthority,
                           java.lang.String strNameTypeCode,
                           java.lang.String strIdentifierCheckDigit,
                           java.lang.String strCheckDigitScheme,
                           java.lang.String strIdentifierTypeCode,
                           HD objAssigningFacility,
                           java.lang.String strNameRepresentationCode,
                           CWE objNameContext,
                           java.lang.String strNameAssemblyOrder,
                           java.lang.String strEffectiveDate,
                           java.lang.String strExpirationDate,
                           java.lang.String strProfessionalSuffix,
                           CWE objAssigningJurisdiction,
                           CWE objAssigningAgencyOrDepratment,
                           java.lang.String strSecurityCheck,
                           java.lang.String strSecurityCheckScheme)

      Add the Verified By. This field contains the identity of the person who verified the accuracy of the entered request.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addVerifiedBy

          public void addVerifiedBy(XCN objverifiedBy)

      Add the Verified By. This field contains the identity of the person who verified the accuracy of the entered request.
      Parameters:
        `objverifiedBy` - Object of Verified By.

    - #### setVerifiedBy

          public void setVerifiedBy(ISingleCollection<XCN> objverifiedByList)

      Set the Verified By. This field contains the identity of the person who verified the accuracy of the entered request.
      Parameters:
        `objverifiedByList` - List of Verified By.

    - #### addOrderingProvider

          public void addOrderingProvider(java.lang.String strIDNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 CWE objSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepratment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Add the Ordering Provider. This field contains the identity of the person who is responsible for creating the request (i.e., ordering physician).
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOrderingProvider

          public void addOrderingProvider(XCN objorderingProvider)

      Add the Ordering Provider. This field contains the identity of the person who is responsible for creating the request (i.e., ordering physician).
      Parameters:
        `objorderingProvider` - Object of Ordering Provider.

    - #### setOrderingProvider

          public void setOrderingProvider(ISingleCollection<XCN> objorderingProviderList)

      Set the Ordering Provider. This field contains the identity of the person who is responsible for creating the request (i.e., ordering physician).
      Parameters:
        `objorderingProviderList` - List of Ordering Provider.

    - #### setEntererLocation

          public void setEntererLocation(HD objPointOfCare,
                                HD objRoom,
                                HD objBed,
                                HD objFacility,
                                java.lang.String strLocationStatus,
                                java.lang.String strPersonLocationType,
                                java.lang.String strBuilding,
                                java.lang.String strFloor,
                                java.lang.String strLocationDescription,
                                EI objComprehensiveLocationIdentifier,
                                HD objAssigningAuthorityForLocation)

      Set the Enterer Location.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setEntererLocation

          public void setEntererLocation(PL objentererLocation)

      Set the Enterer Location.
      Parameters:
        `objentererLocation` - Object of Enterer Location.

    - #### addCallBackPhNo

          public void addCallBackPhNo(java.lang.String strTeleCommunicationUseCode,
                             java.lang.String strTeleCommunicationEquipmentType,
                             java.lang.String strCommuinicationAddress,
                             java.lang.String strCountryCode,
                             java.lang.String strAreaCityCode,
                             java.lang.String strLocalNumber,
                             java.lang.String strExtension,
                             java.lang.String strAnyText,
                             java.lang.String strExtensionPrefix,
                             java.lang.String strSpeedDialCode,
                             java.lang.String strUnformattedTelephoneNumber,
                             java.lang.String strEffectiveStartDate,
                             java.lang.String strExpirationDate,
                             CWE objExpirationReason,
                             CWE objProtectionCode,
                             EI objSharedTelecommunicationIdentifier,
                             java.lang.String strPreferenceOrder)

      Add the Call Back PhNo. This field contains the telephone number to call for clarification of a request or other information regarding the order.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addCallBackPhNo

          public void addCallBackPhNo(XTN objcallBackPhNo)

      Add the Call Back PhNo. This field contains the telephone number to call for clarification of a request or other information regarding the order.
      Parameters:
        `objcallBackPhNo` - Object of Call Back PhNo.

    - #### setCallBackPhNo

          public void setCallBackPhNo(ISingleCollection<XTN> objcallBackPhNoList)

      Set the Call Back PhNo. This field contains the telephone number to call for clarification of a request or other information regarding the order.
      Parameters:
        `objcallBackPhNoList` - List of Call Back PhNo.

    - #### setOrderEffectiveDateTime

          public void setOrderEffectiveDateTime(java.lang.String strTime)

      Set the Order Effective Date Time. This field contains the date/time that the changes to the request took effect or are supposed to take effect.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setOrderEffectiveDateTime

          public void setOrderEffectiveDateTime(DTM objorderEffectiveDateTime)

      Set the Order Effective Date Time. This field contains the date/time that the changes to the request took effect or are supposed to take effect.
      Parameters:
        `objorderEffectiveDateTime` - Object of Order Effective Date Time.

    - #### setOrderControlCodeReason

          public void setOrderControlCodeReason(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Order Control Code Reason. This field contains the explanation (either in coded or text form) of the reason for the order event described by the order control code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrderControlCodeReason

          public void setOrderControlCodeReason(CWE objorderControlCodeReason)

      Set the Order Control Code Reason. This field contains the explanation (either in coded or text form) of the reason for the order event described by the order control code.
      Parameters:
        `objorderControlCodeReason` - Object of Order Control Code Reason.

    - #### setEnteringOrganization

          public void setEnteringOrganization(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Entering Organization. This field identify the organization that the enterer belonged to at the time he/she enters/maintains the order, such as medical group or department.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEnteringOrganization

          public void setEnteringOrganization(CWE objenteringOrganization)

      Set the Entering Organization. This field identify the organization that the enterer belonged to at the time he/she enters/maintains the order, such as medical group or department.
      Parameters:
        `objenteringOrganization` - Object of Entering Organization.

    - #### setEnteringDevice

          public void setEnteringDevice(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Entering Device. This field identify the physical device (terminal, PC) used to enter the order.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEnteringDevice

          public void setEnteringDevice(CWE objenteringDevice)

      Set the Entering Device. This field identify the physical device (terminal, PC) used to enter the order.
      Parameters:
        `objenteringDevice` - Object of Entering Device.

    - #### addActionBy

          public void addActionBy(java.lang.String strIDNumber,
                         FN objFamilyName,
                         java.lang.String strGivenName,
                         java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                         java.lang.String strSuffix,
                         java.lang.String strPrefix,
                         CWE objSourceTable,
                         HD objAssigningAuthority,
                         java.lang.String strNameTypeCode,
                         java.lang.String strIdentifierCheckDigit,
                         java.lang.String strCheckDigitScheme,
                         java.lang.String strIdentifierTypeCode,
                         HD objAssigningFacility,
                         java.lang.String strNameRepresentationCode,
                         CWE objNameContext,
                         java.lang.String strNameAssemblyOrder,
                         java.lang.String strEffectiveDate,
                         java.lang.String strExpirationDate,
                         java.lang.String strProfessionalSuffix,
                         CWE objAssigningJurisdiction,
                         CWE objAssigningAgencyOrDepratment,
                         java.lang.String strSecurityCheck,
                         java.lang.String strSecurityCheckScheme)

      Add the Action By. This field contains the identity of the person who initiated the event represented by the corresponding order control code.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addActionBy

          public void addActionBy(XCN objactionBy)

      Add the Action By. This field contains the identity of the person who initiated the event represented by the corresponding order control code.
      Parameters:
        `objactionBy` - Object of Action By.

    - #### setActionBy

          public void setActionBy(ISingleCollection<XCN> objactionByList)

      Set the Action By. This field contains the identity of the person who initiated the event represented by the corresponding order control code.
      Parameters:
        `objactionByList` - List of Action By.

    - #### setAdvancedBeneficiaryNoticeCode

          public void setAdvancedBeneficiaryNoticeCode(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdvancedBeneficiaryNoticeCode

          public void setAdvancedBeneficiaryNoticeCode(CWE objadvancedBeneficiaryNoticeCode)

      Set the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Parameters:
        `objadvancedBeneficiaryNoticeCode` - Object of Advanced Beneficiary Notice Code.

    - #### addOrderingFacilityName

          public void addOrderingFacilityName(java.lang.String strOrganizationName,
                                     CWE objOrganizationNameTypeCode,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     java.lang.String strOrganizationIdentifier)

      Add the Ordering Facility Name. This field contains the name of the facility placing the order.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addOrderingFacilityName

          public void addOrderingFacilityName(XON objorderingFacilityName)

      Add the Ordering Facility Name. This field contains the name of the facility placing the order.
      Parameters:
        `objorderingFacilityName` - Object of Ordering Facility Name.

    - #### setOrderingFacilityName

          public void setOrderingFacilityName(ISingleCollection<XON> objorderingFacilityNameList)

      Set the Ordering Facility Name. This field contains the name of the facility placing the order.
      Parameters:
        `objorderingFacilityNameList` - List of Ordering Facility Name.

    - #### addOrderingFacilityAddress

          public void addOrderingFacilityAddress(SAD objStreetAddress,
                                        java.lang.String strOtherDesignation,
                                        java.lang.String strCity,
                                        java.lang.String strStateOrProvince,
                                        java.lang.String strZipOrPostalCode,
                                        java.lang.String strCountry,
                                        java.lang.String strAddressType,
                                        java.lang.String strOtherGeographicDesignation,
                                        CWE objCountyParishCode,
                                        CWE objCensusTract,
                                        java.lang.String strAddressRepresentationCode,
                                        DTM objEffectiveDate,
                                        DTM objExpirationDate,
                                        CWE objEXpirationReason,
                                        java.lang.String strTemporaryIndicator,
                                        java.lang.String strBadAddressIndicator,
                                        java.lang.String strAddressUsage,
                                        java.lang.String strAddressee,
                                        java.lang.String strComment,
                                        java.lang.String strPreferenceOrder,
                                        CWE objProtectionCode,
                                        EI objAddressIdentifier)

      Add the Ordering Facility Address. This field contains the address of the facility placing the order.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addOrderingFacilityAddress

          public void addOrderingFacilityAddress(XAD objorderingFacilityAddress)

      Add the Ordering Facility Address. This field contains the address of the facility placing the order.
      Parameters:
        `objorderingFacilityAddress` - Object of Ordering Facility Address.

    - #### setOrderingFacilityAddress

          public void setOrderingFacilityAddress(ISingleCollection<XAD> objorderingFacilityAddressList)

      Set the Ordering Facility Address. This field contains the address of the facility placing the order.
      Parameters:
        `objorderingFacilityAddressList` - List of Ordering Facility Address.

    - #### addOrderingFacilityPhNo

          public void addOrderingFacilityPhNo(java.lang.String strTeleCommunicationUseCode,
                                     java.lang.String strTeleCommunicationEquipmentType,
                                     java.lang.String strCommuinicationAddress,
                                     java.lang.String strCountryCode,
                                     java.lang.String strAreaCityCode,
                                     java.lang.String strLocalNumber,
                                     java.lang.String strExtension,
                                     java.lang.String strAnyText,
                                     java.lang.String strExtensionPrefix,
                                     java.lang.String strSpeedDialCode,
                                     java.lang.String strUnformattedTelephoneNumber,
                                     java.lang.String strEffectiveStartDate,
                                     java.lang.String strExpirationDate,
                                     CWE objExpirationReason,
                                     CWE objProtectionCode,
                                     EI objSharedTelecommunicationIdentifier,
                                     java.lang.String strPreferenceOrder)

      Add the Ordering Facility PhNo. This field contains the telephone number of the facility placing the order.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addOrderingFacilityPhNo

          public void addOrderingFacilityPhNo(XTN objorderingFacilityPhNo)

      Add the Ordering Facility PhNo. This field contains the telephone number of the facility placing the order.
      Parameters:
        `objorderingFacilityPhNo` - Object of Ordering Facility PhNo.

    - #### setOrderingFacilityPhNo

          public void setOrderingFacilityPhNo(ISingleCollection<XTN> objorderingFacilityPhNoList)

      Set the Ordering Facility PhNo. This field contains the telephone number of the facility placing the order.
      Parameters:
        `objorderingFacilityPhNoList` - List of Ordering Facility PhNo.

    - #### addOrderingProviderAddress

          public void addOrderingProviderAddress(SAD objStreetAddress,
                                        java.lang.String strOtherDesignation,
                                        java.lang.String strCity,
                                        java.lang.String strStateOrProvince,
                                        java.lang.String strZipOrPostalCode,
                                        java.lang.String strCountry,
                                        java.lang.String strAddressType,
                                        java.lang.String strOtherGeographicDesignation,
                                        CWE objCountyParishCode,
                                        CWE objCensusTract,
                                        java.lang.String strAddressRepresentationCode,
                                        DTM objEffectiveDate,
                                        DTM objExpirationDate,
                                        CWE objEXpirationReason,
                                        java.lang.String strTemporaryIndicator,
                                        java.lang.String strBadAddressIndicator,
                                        java.lang.String strAddressUsage,
                                        java.lang.String strAddressee,
                                        java.lang.String strComment,
                                        java.lang.String strPreferenceOrder,
                                        CWE objProtectionCode,
                                        EI objAddressIdentifier)

      Add the Ordering Provider Address. This field contains the address of the care provider requesting the order.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addOrderingProviderAddress

          public void addOrderingProviderAddress(XAD objorderingProviderAddress)

      Add the Ordering Provider Address. This field contains the address of the care provider requesting the order.
      Parameters:
        `objorderingProviderAddress` - Object of Ordering Provider Address.

    - #### setOrderingProviderAddress

          public void setOrderingProviderAddress(ISingleCollection<XAD> objorderingProviderAddressList)

      Set the Ordering Provider Address. This field contains the address of the care provider requesting the order.
      Parameters:
        `objorderingProviderAddressList` - List of Ordering Provider Address.

    - #### setOrderStatusModifier

          public void setOrderStatusModifier(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Order Status Modifier. This field specify the modifier or refiner of the ORC-5-Order status field.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrderStatusModifier

          public void setOrderStatusModifier(CWE objorderStatusModifier)

      Set the Order Status Modifier. This field specify the modifier or refiner of the ORC-5-Order status field.
      Parameters:
        `objorderStatusModifier` - Object of Order Status Modifier.

    - #### setAdvancedBeneficiaryNoticeOverrideReason

          public void setAdvancedBeneficiaryNoticeOverrideReason(java.lang.String strIdentifier,
                                                        java.lang.String strText,
                                                        java.lang.String strNameOfCodingSystem,
                                                        java.lang.String strAlternateIdentifier,
                                                        java.lang.String strAlternateText,
                                                        java.lang.String strNameOfAlternateCodingSystem,
                                                        java.lang.String strCodingSystemVersionID,
                                                        java.lang.String strAlternateCodingSystemVersionId,
                                                        java.lang.String strOriginalText,
                                                        java.lang.String strSecondAlternateIdentifier,
                                                        java.lang.String strSecondAlternateText,
                                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                                        java.lang.String strCodingSystemOID,
                                                        java.lang.String strValueSetOID,
                                                        java.lang.String strValueSetVersionID,
                                                        java.lang.String strAlternateCodingSystemOID,
                                                        java.lang.String strAlternateValueSetOID,
                                                        java.lang.String strAlternateValueSetVersionID,
                                                        java.lang.String strSecondAlternateCodingSystemOID,
                                                        java.lang.String strSecondAlternateValueSetOID,
                                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Advanced Beneficiary Notice Override Reason. This field contains the reason why the patient did not sign an Advanced Beneficiary Notice.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdvancedBeneficiaryNoticeOverrideReason

          public void setAdvancedBeneficiaryNoticeOverrideReason(CWE objadvancedBeneficiaryNoticeOverrideReason)

      Set the Advanced Beneficiary Notice Override Reason. This field contains the reason why the patient did not sign an Advanced Beneficiary Notice.
      Parameters:
        `objadvancedBeneficiaryNoticeOverrideReason` - Object of Advanced Beneficiary Notice Override Reason.

    - #### setFillersExpectedAvailabilityDateTime

          public void setFillersExpectedAvailabilityDateTime(java.lang.String strTime)

      Set the Fillers Expected Availability Date Time. This field specify the date/time of the filler expects the services to be available.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setFillersExpectedAvailabilityDateTime

          public void setFillersExpectedAvailabilityDateTime(DTM objfillersExpectedAvailabilityDateTime)

      Set the Fillers Expected Availability Date Time. This field specify the date/time of the filler expects the services to be available.
      Parameters:
        `objfillersExpectedAvailabilityDateTime` - Object of Fillers Expected Availability Date Time.

    - #### setConfidentialityCode

          public void setConfidentialityCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Confidentiality Code. This field contains information about the level of security and/or sensitivity surrounding the order (e.g., highly sensitive, not sensitive, sensitive, etc.).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConfidentialityCode

          public void setConfidentialityCode(CWE objconfidentialityCode)

      Set the Confidentiality Code. This field contains information about the level of security and/or sensitivity surrounding the order (e.g., highly sensitive, not sensitive, sensitive, etc.).
      Parameters:
        `objconfidentialityCode` - OBject of Confidentiality Code.

    - #### setOrderType

          public void setOrderType(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Order Type. This field indicates whether the order is to be executed in an inpatient setting or an outpatient setting.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrderType

          public void setOrderType(CWE objorderType)

      Set the Order Type. This field indicates whether the order is to be executed in an inpatient setting or an outpatient setting.
      Parameters:
        `objorderType` - Object of Order Type.

    - #### setEntererAuthorizationMode

          public void setEntererAuthorizationMode(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionID,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameOfSecondAltenateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Enterer Authorization Mode. This field indicates the form of authorization a recorder has from the responsible
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setEntererAuthorizationMode

          public void setEntererAuthorizationMode(CNE objentererAuthorizationMode)

      Set the Enterer Authorization Mode. This field indicates the form of authorization a recorder has from the responsible practitioner to create or change an order.
      Parameters:
        `objentererAuthorizationMode` - Object of Enterer Authorization Mode.

    - #### setParentUniversalServiceIdentifier

          public void setParentUniversalServiceIdentifier(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Parent Universal Service Identifier. This field contains the identifier code for the parent order which caused this reflex observation/test/battery to be performed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParentUniversalServiceIdentifier

          public void setParentUniversalServiceIdentifier(CWE objorderType)

      Set the Parent Universal Service Identifier. This field contains the identifier code for the parent order which caused this reflex observation/test/battery to be performed.
      Parameters:
        `objorderType` - Object of Order Type.

    - #### addOrderWorkflowProfile

          public void addOrderWorkflowProfile(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set Order Workflow Profile. The Order Workflow Profile references/represents the information necessary to define the workflow variant when that is not fully described through the use of ORC-1 Order Control and MSH-21 Message Profile. This enables contributing systems to apply locally agreed to rules.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addOrderWorkflowProfile

          public void addOrderWorkflowProfile(CWE objOrderWorkflowProfile)

      add Order Workflow Profile. The Order Workflow Profile references/represents the information necessary to define the workflow variant when that is not fully described through the use of ORC-1 Order Control and MSH-21 Message Profile. This enables contributing systems to apply locally agreed to rules.
      Parameters:
        `objorderType` - Object of Order Type.

    - #### setOrderWorkflowProfile

          public void setOrderWorkflowProfile(ISingleCollection<CWE> objOrderWorkflowProfile)

      Set Order Workflow Profile. The Order Workflow Profile references/represents the information necessary to define the workflow variant when that is not fully described through the use of ORC-1 Order Control and MSH-21 Message Profile. This enables contributing systems to apply locally agreed to rules.
      Parameters:
        `objorderType` - Object of Order Type.

    - #### setAlternatePlacerOrderNumber

          public void setAlternatePlacerOrderNumber(java.lang.String strIDNumber,
                                           java.lang.String strCheckDigit,
                                           java.lang.String strCheckDigitScheme,
                                           HD objAssigningAuthority,
                                           java.lang.String strIdentifierTypeCode,
                                           HD objAssigningFacility,
                                           java.lang.String strEffectiveDate,
                                           java.lang.String strExpirationDate,
                                           CWE objAssigningJurisdiction,
                                           CWE objAssigningAgencyOrDepartment,
                                           java.lang.String strSecurityCheck,
                                           java.lang.String strSecurityCheckScheme)

      Set the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addAlternatePlacerOrderNumber

          public void addAlternatePlacerOrderNumber(CX objAlternatePlacerOrderNumber)

      Set the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Parameters:
        `objaccountID` - Object of Account ID.

    - #### setAlternatePlacerOrderNumber

          public void setAlternatePlacerOrderNumber(ISingleCollection<CX> objAlternatePlacerOrderNumber)

      Set the Alternate Placer Order Number. This field enables a shorter number to be communicated that is unique within other identifiers.
      Parameters:
        `objaccountID` - Object of Account ID.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.